# Review Deadline reached

### Input parameters

* TaskID

### How trigger

function should trigger automatic when the review deadline is reached.

### Logic

1. After the task has been submittedForReview = true for **96h (4 days)** hours without being accepted by the creator of the task, it should be accepted automatically. (Probably not a HTTP callable)
2. Add a field to the task document: "submittedForReviewDeadlineReached = true"
3. Now just call the "**accept work result**" function
4. Send an Email to  ONLY Creator:

* Send First Email:

  * to\_email\_adress = email\_of\_creator\_person
  * template\_name = "tasks-review-deadline-reached->creator"
  * data = {taskData: taskData, taskId: taskId}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tasksource.io/api-documentation/step-3-taskflow/review-deadline-reached.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
